1. Networks
Affiliate.com API Documentation
  • Affiliate.com API Endpoints
    • Account
      • Get User Team Account Information
    • Network Groups
      • List All Network Groups
    • Networks
      • List All Networks
        GET
      • Get Single Specific Network
        GET
    • Merchants
      • List All Merchants
      • Get Single Specific Merchant Name
      • Get a Single Specific Merchant ID
    • Products
      • Search Products
    • Omni
      • Omni
    • Conversion
      • URL to Barcode
      • Barcode to SKU
      • ASIN to Barcode
      • SKU to Barcode
      • Barcode to ASIN
    • Watch
      • Set Product Watch
      • Get All Product Watches
      • Get Specific Product Watch
      • Get Specific Product Watch from Metadata
      • Edit Product Watch
      • Delete Product Watch
      • Get Single Product Watch Notification History
      • Get Product Watch Notification History via Metadata
    • Product List
      • Create Product List
      • Get Product Lists
      • Get Single List
      • Get List By Metadata
      • Add Products to a List
      • Remove Products from a List
      • Delete Product List
  1. Networks

List All Networks

GET
/v1/networks

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v1/networks?page=1&fields=name,logo_url&per_page=10&search=impact' \
--header 'Authorization: Bearer {{token}}'

Responses

🟢200OK
application/json
Body

Example
{
    "meta": {
        "total": 0,
        "from": 1,
        "to": 0,
        "current_page": 1,
        "last_page": 0,
        "per_page": 100,
        "fields": [
            "id",
            "name",
            "logo_url",
            "merchant_count",
            "merchant_count_active",
            "product_count",
            "group",
            "country"
        ]
    },
    "data": [
        {
            "id": 211,
            "name": "ClixGalore Australia",
            "logo_url": "https://api.affiliate.com/img/logos/groups/10011/128x128.png",
            "merchant_count": 398,
            "merchant_count_active": 13,
            "product_count": 61972,
            "group": {
                "id": 10011,
                "name": "ClixGalore"
            },
            "country": {
                "id": "AU",
                "iso3": "AUS",
                "name": "Australia"
            }
        },
        {
            "id": 212,
            "name": "ClixGalore New Zealand",
            "logo_url": "https://api.affiliate.com/img/logos/groups/10011/128x128.png",
            "merchant_count": 39,
            "merchant_count_active": 2,
            "product_count": 652,
            "group": {
                "id": 10011,
                "name": "ClixGalore"
            },
            "country": {
                "id": "NZ",
                "iso3": "NZL",
                "name": "New Zealand"
            }
        },
        {
            "id": 213,
            "name": "ClixGalore UK",
            "logo_url": "https://api.affiliate.com/img/logos/groups/10011/128x128.png",
            "merchant_count": 139,
            "merchant_count_active": 3,
            "product_count": 742,
            "group": {
                "id": 10011,
                "name": "ClixGalore"
            },
            "country": {
                "id": "GB",
                "iso3": "GBR",
                "name": "United Kingdom"
            }
        },
        {
            "id": 221,
            "name": "Webgains UK Coupons/Deals",
            "logo_url": "https://api.affiliate.com/img/logos/groups/10036/128x128.png",
            "merchant_count": 1933,
            "merchant_count_active": 0,
            "product_count": 0,
            "group": {
                "id": 10036,
                "name": "Webgains"
            },
            "country": {
                "id": "GB",
                "iso3": "GBR",
                "name": "United Kingdom"
            }
        }
    ]
}
🟠429Rate Limit Exceeded
🟠401Unauthenticated
🟠400Invalid input
Modified at 2026-03-10 14:00:58
Previous
Networks
Next
Get Single Specific Network